Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class AVT

    java.lang.Object
      |
      +--weblogic.apache.xalan.templates.AVT

public class AVT
extends java.lang.Object
implements java.io.Serializable

Class to hold an Attribute Value Template.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`AVT(StylesheetHandler handler, java.lang.String uri, java.lang.String name, java.lang.String rawName, java.lang.String stringedValue)` Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Summary
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`java.lang.String` | `evaluate(XPathContext xctxt, int context, PrefixResolver nsNode)` Evaluate the AVT and return a String.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`java.lang.String` | `getName()` Get the local name of the attribute.
`java.lang.String` | `getRawName()` Get the raw name of the attribute, with the prefix unprocessed.
`java.lang.String` | `getSimpleString()` Get the AVT as the original string.
`java.lang.String` | `getURI()` Get the namespace URI of the attribute.
`boolean` | `isContextInsensitive()` Test whether the AVT is insensitive to the context in which it is being evaluated.
`void` | `setName(java.lang.String name)` Set the local name of the attribute.
`void` | `setRawName(java.lang.String rawName)` Get the raw name of the attribute, with the prefix unprocessed.
`void` | `setURI(java.lang.String uri)` Get the namespace URI of the attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVT

    public AVT(StylesheetHandler handler,
               java.lang.String uri,
               java.lang.String name,
               java.lang.String rawName,
               java.lang.String stringedValue)
        throws javax.xml.transform.TransformerException

  Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

  Parameters:
    `handler` - non-null reference to StylesheetHandler that is constructing.
    `uri` - non-null reference to URI, "" if null namespace.
    `name` - non-null reference to name string.
    `rawName` - prefixed name.
    `stringedValue` - non-null raw string value.
  Throws:
    javax.xml.transform.TransformerException -

Method Detail

### getRawName

    public java.lang.String getRawName()

  Get the raw name of the attribute, with the prefix unprocessed.

  Returns:
    non-null reference to prefixed name.

### setRawName

    public void setRawName(java.lang.String rawName)

  Get the raw name of the attribute, with the prefix unprocessed.

  Parameters:
    `rawName` - non-null reference to prefixed name.

### getName

    public java.lang.String getName()

  Get the local name of the attribute.

  Returns:
    non-null reference to name string.

### setName

    public void setName(java.lang.String name)

  Set the local name of the attribute.

  Parameters:
    `name` - non-null reference to name string.

### getURI

    public java.lang.String getURI()

  Get the namespace URI of the attribute.

  Returns:
    non-null reference to URI, "" if null namespace.

### setURI

    public void setURI(java.lang.String uri)

  Get the namespace URI of the attribute.

  Parameters:
    `uri` - non-null reference to URI, "" if null namespace.

### getSimpleString

    public java.lang.String getSimpleString()

  Get the AVT as the original string.

  Returns:
    The AVT as the original string

### evaluate

    public java.lang.String evaluate(XPathContext xctxt,
                                     int context,
                                     PrefixResolver nsNode)
                              throws javax.xml.transform.TransformerException

  Evaluate the AVT and return a String.

  Parameters:
    `xctxt` - Te XPathContext to use to evaluate this.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Returns:
    The AVT evaluated as a string
  Throws:
    javax.xml.transform.TransformerException -

### isContextInsensitive

    public boolean isContextInsensitive()

  Test whether the AVT is insensitive to the context in which it is being evaluated. This is intended to facilitate compilation of templates, by allowing simple AVTs to be converted back into strings. Currently the only case we recognize is simple strings. ADDED 9/5/2000 to support compilation experiment

  Returns:
    True if the m_simpleString member of this AVT is not null

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.

  Returns:
    true if traversal outside the context node's subtree can occur.

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference